matplotlib (3.10.1+dfsg1-4) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * Add pkgconf in Build-Deps, meson requires it to detect freetype2.

  [ Nilesh Patra ]
  * Add patch to fix FTBFS (Closes: #1106427)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 May 2025 22:52:08 +0530

matplotlib (3.10.1+dfsg1-3) unstable; urgency=medium

  [ James Addison ]
  * Properly detect python3-gi absence/presence (Closes: #1101565)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 19 Apr 2025 17:28:04 +0200

matplotlib (3.10.1+dfsg1-2) unstable; urgency=medium

  * Release to unstable

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Mar 2025 09:38:56 +0100

matplotlib (3.10.1+dfsg1-1) experimental; urgency=medium

  * New upstream version 3.10.1+dfsg1 (Refresh patches)
  * Do not force tkagg backend, the detection logic
    has improved a lot as pointer by upstream
  * Backport upstream commit to fix auto-backend detection case-sensitivity

 -- Nilesh Patra <nilesh@debian.org>  Sun, 16 Mar 2025 19:33:32 +0530

matplotlib (3.10.0+dfsg1-1~exp2) experimental; urgency=medium

  * Add patch to not install pfb (missed patch in previous upload)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 19:12:55 +0530

matplotlib (3.10.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 3.10.0
  * d/copyright: Re-pack non-free .pfb files
  * d/patches:
    + Refresh patches
    + Reduce precision for test_compressed_suptitle
    + Add patch to drop sphinx exts (not packaged in debian yet)
  * d/clean: Cleanup matplotlibrc
  * d/control: Update new Build-Deps
  * d/rules:
    - Prune mplsetup.cfg (removed 3.9.0 release) and use meson opts
    - Skip couple of failing tests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 18:25:55 +0530

matplotlib (3.8.3-7) unstable; urgency=medium

  * Also skip autopkgtests *sigh*

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 16:47:22 +0530

matplotlib (3.8.3-6) unstable; urgency=medium

  * Ignore more tests failing on 32-bit. Ignore arch-tests again for now

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 16:07:59 +0530

matplotlib (3.8.3-5) unstable; urgency=medium

  * Skip more tests (works locally but not on buildd)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 15:38:21 +0530

matplotlib (3.8.3-4) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Rebuild with fixed pydata-sphinx-theme (Addresses: #1085259)
  * Remove dependency on python3-pkg-resources (Closes: #1083475)
  * Remove dependency on python3-sphinx-panels (Addresses: #1065029)
  * Add gir1.2-gtk-4.0 to suggests (Closes: #1078759)
  * Apply Multi-Arch hint
  * Set Rules-Requires-Root: no
  * d/copyright:
    * vendored py2/3 dateutil is gone
    * vendored jquery is gone
    * Lintian cannot understand "same as upstream", assign a codename
  * d/watch: use v4
  * more lintian fixes:
    * package-contains-vcs-control-file
    * package-contains-eslint-config-file
    * renamed-tag
    * trailing-whitespace
    * unused-override

  [ Stuart Prescott ]
  * Remove build-dependency on pandas and xarray for build-time tests,
    running tests on CI instead.
  * Add patch to fix documentation build failure with numpy 2.x (Closes:
    #1095355 ).
  * Fix d/rules to actually run tests on buildd.
  * Skip all tests currently failing on buildd; this should be reverted
    in a future upload.
  * Run tests in parallel on buildd.
  * Silence lots of lintian complaints on test data.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 13:32:38 +0100

matplotlib (3.8.3-3) unstable; urgency=medium

  * Team Upload.
  * Release to unstable.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jul 2024 10:30:19 +0200

matplotlib (3.8.3-2~exp1) experimental; urgency=medium

  * Team upload.
  * Reinstate python-matplotlib-doc
    - Build-Depends-Indep: python3-ipykernel, python3-sphinx-design,
      python3-yaml <!nodoc>
    - clean doc/build and doc/fontlist-v*.json
  * debian patch manage_docs.patch enables a successful doc build
    - skip 3d and Axes gallery examples (can't import new mpl_toolkits
      successfully when system package of old version is installed,
      see Bug#1074159)
    - deactivate copyfile_regex (not available in sphinx_gallery)
    - theme-switcher, version-switcher are not available
    - add missing README files
  * update debian/clean to remove generated files. Closes: #1047769.
  * skip build tests if nocheck is set in DEB_BUILD_OPTIONS

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jun 2024 17:59:57 +0200

matplotlib (3.8.3-1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * adopt package (Closes: #1065325)
  * New upstream version 3.8.3
  * fix syntax error in Maintainer: field
  * remove old Py2+3 boilerplate
  * refresh patches
  * remove one patch applied upstream

  [ cielavenir ]
  * use README.md instead of README.rst
  * Fix 70_bts720549_try_StayPuft_for_xkcd.patch
  * Fix 0008-Increase-test-tollerance.patch

  [ Nilesh Patra ]
  * Fully migrate to DH 13
  * Add install file for python3-matplotlib
  * Install README.md as docs
  * Add d/clean
  * Add myself to uploaders
  * Fixup with cme
  * Add builddep on pybind11
  * d/rules: Build --with python3,numpy3

 -- Nilesh Patra <nilesh@debian.org>  Sun, 16 Jun 2024 22:21:27 +0530

matplotlib (3.6.3-2) unstable; urgency=medium

  * Team upload.
  * Add missing autopkgtest depend on python3-all (Closes: #1067139)

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 11:57:19 +0200

matplotlib (3.6.3-1.1) unstable; urgency=medium

  [ Julien Puydt ]
  * Drop wrong depends on setuptools-scm-git-archive (Closes: #1050105).

  [ Alexandre Detiste ]
  * remove extraneous dependency on python3-six (Closes: #1039099)
  * remove obsolete build-dep python3-mock

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:21:35 -0500

matplotlib (3.6.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR24862.patch
    - refresh patch
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Jan 2023 21:43:01 -0500

matplotlib (3.6.2-4) unstable; urgency=medium

  * debian/rules
    - run dh_installdocs on the -data pkg, to unstall changelog;
      Closes: #1027049
  * debian/patches/PR24862.patch
    - Fix argument checking in Axes3D.quiver; Closes: #1027285

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2023 23:52:41 -0500

matplotlib (3.6.2-3) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Dec 2022 14:49:42 -0500

matplotlib (3.6.2-2) experimental; urgency=medium

  * debian/control
    - add contourpy to b-d, needed by tests
    - add b-d needed by tests: cairo, cm-super-minimal, contourpy, ffmpeg,
      fonts-noto-cjk, fonts-wqy-zenhei, imagemagick, pikepdf, texlive-base,
      texlive-luatex, texlive-science, texlive-xetex, wxgtk4.0, xarray
    - drop XS-Python-Version, no longer needed
  * debian/rules
    - enable test_contour.py tests
    - exclude another test failing with Qt
  * debian/tests
    - use py3versions --supported

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Dec 2022 23:24:09 -0500

matplotlib (3.6.2-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * Revert the temporary inkscape change.

  [ Sandro Tosi ]
  * New upstream release
  * keep inkscrape disabled in b-d
  * debian/patches
    - refresh patches
  * debian/rules
    - remove .eggs directory, created by setuptools-scm
    - skip failing tests
  * Stop building the -doc package; the cost of maintaining the build process
    and packaging more and more new packages is no longer sustainable, given the
    few users actually installing it.
  * debian/control
    - add fonttools to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Mon, 19 Dec 2022 01:56:13 -0500

matplotlib (3.5.2-4) unstable; urgency=medium

  * Team upload.
  * Move all the <!nodoc> Build-Depends to Build-Depends-Indep (to avoid
    indirectly Build-Depending on inkscape, right now).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 14:38:38 +0200

matplotlib (3.5.2-3) unstable; urgency=medium

  * Team upload.
  * Build without inkscape, which is currently FTBFS, temporarily.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 12:55:09 +0200

matplotlib (3.5.2-2) unstable; urgency=medium

  * debian/rules, debian/patches/fake-setutools-scm.patch
    - remove lib/matplotlib/_version.py in the clean target instead of trying
      to mess with it; Closes: #1015081

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Jul 2022 18:45:39 -0400

matplotlib (3.5.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/
    - refresh/drop patches
  * debian/control
    - add cm-super-minimal to matplotlib Suggests; Closes: #1010216
    - bump Standards-Version to 4.6.1 (no changes needed)

  [ Laurent Bigonville ]
  * debian/control
    - Mark python-matplotlib-doc with <!nodoc> build-profile
  * debian/rules
    - Do not build the doc if the <nodoc> profile is set

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jun 2022 20:14:39 -0400

matplotlib (3.5.1-3) unstable; urgency=medium

  * debian/control debian/patches/docs-still-use-pydata-theme.patch
    - add mpl-mpl-sphinx-theme to b-d, needed for doc, and drop the patch which
      disabled it before

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jun 2022 14:28:46 -0400

matplotlib (3.5.1-2) unstable; urgency=medium

  * debian/rules
    - workaround a gcc-11 on mips64* architectures by passing -O3; patch by
      YunQiang Su; Closes: #1000435

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Jan 2022 16:55:24 -0500

matplotlib (3.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/python-matplotlib-data.install
   - install the entire content of mpl-data for python-matplotlib-data,
     including kpsewhich.lua; Closes: #1002923
  * re-enable doc building
  * debian/copyright
    - extend packaging copyright years
  * debian/patches
    - refresh, drop patches merged upstream
  * debian/rules
    - use pytest directly when running the test suite
    - ignore test_backend_nbagg.py, until nbconvert is made compatible with
      mistune 2.x, see #1001283 and #1002372

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Jan 2022 16:42:00 -0500

matplotlib (3.5.0-5) unstable; urgency=medium

  * Comment out sphinx-gallery from b-d, and dont build doc, once again hoping
    this will fix the dependency loop currently preventin mpl to be build on
    buildds

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Dec 2021 01:26:30 -0500

matplotlib (3.5.0-4) unstable; urgency=medium

  * debian/control
    - use source:Upstream-Version when defining Depends on -data, fixing a
      FTBFS on buildds due to circular dependencies

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Dec 2021 23:07:14 -0500

matplotlib (3.5.0-3) unstable; urgency=medium

  * debian/control
    - move pil.imagetk to Depends, so everyone's happy; Closes: #999533
  * debian/patches/PR21686.patch
    - add PR 21686, fixing sagemath doc build; Closes: #1001102

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Dec 2021 00:22:14 -0500

matplotlib (3.5.0-2) unstable; urgency=medium

  * debian/control
    - add sphinx-panels to b-d, needed by doc
  * debian/patches/docs-no-sphinx-panel.patch
    - remove, now sphinx-panels is in Debian

 -- Sandro Tosi <morph@debian.org>  Sat, 27 Nov 2021 02:02:11 -0500

matplotlib (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on sphinx-gallery to >= 0.10.0
    - bump b-d on numpy to >= 1.20.0
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/patches
    - refresh, remove merged patches
  * debian/patches/docs-still-use-pydata-theme.patch
    - keep using pydata_sphinx_theme until mpl_sphinx_theme is available
  * debian/rules
    - no longer manually copy cliboard.js, now that sphinx-copybutton is fixed
  * debian/tests/control
    - fix autopkgtests but installing pil.imagetk and allowing stderr
  * debian/copyright
    - simplify and fix afm fonts copyright generation
  * debian/TODO.debian
    - remove, no longer relevant

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Nov 2021 00:03:30 -0500

matplotlib (3.5.0~rc1-2) experimental; urgency=medium

  * debian/copyright
    - remove stanzas for files no longer in upstream tarball
  * debian/python-matplotlib-data.install
    - install plot_directive in mpl-data, needed by
      matplotlib.sphinxext.plot_directive

 -- Sandro Tosi <morph@debian.org>  Tue, 09 Nov 2021 23:53:58 -0500

matplotlib (3.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate; Closes: #994533
  * debian/patches/
    - refresh, remove outdated patches
  * debian/patches/fake-setutools-scm.patch
    - fake setuptools_scm, creating the same file it would
  * debian/control
    - add setuptools-scm, setuptools-scm-git-archive to b-d, needed by setup.py
    - replace transitional pkg ttf-staypuft with fonts-staypuft; Closes: #987629
    - replace obsolete ttf-bitstream-vera with fonts-dejavu-core;
      Closes: #985559
    - add pil.imagetk to b-d, needed by tests
    - add ffmpeg, fonts-comic-neue, fonts-humor-sans, fonttools,
      pydata-sphinx-theme to b-d, needed by doc
    - drop nose, no longer needed (see #997758)
    - add pil.imagetk to python3-matplotlib recommends, needed by TkAgg backend
    - set TkAgg as default backend in /etc/matplotlibrc
  * rename setup.cfg to the new filename, mplsetup.cfg
  * use the system-available libqhull during build
  * debian/rules
    - skip removing some of upstream config files, setup.cfg and matplotlibrc
    - set HOME to a writable location during doc build
    - manually copy clipboard.js
  * debian/patches/PR21414.patch
    - fix doc build with a basedir containing a ~, like in Debian's RC releases
  * debian/patches/20_matplotlibrc_path_search_fix.patch
    - handle date directory location both during build and at runtime
  * debian/patches/docs-no-sphinx-panel.patch
    - temporarily remove sphinx-panels extension
  * debian/python-matplotlib-data.install
    - update locationfor default matplotlibrc location

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Oct 2021 01:43:15 -0400

matplotlib (3.3.4-2) unstable; urgency=medium

  * remove -dbg package; Closes: #994311

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 20:33:19 -0400

matplotlib (3.3.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add sphinxdoc:Depends to -doc depends
  * debian/rules
    - enable hardening flags

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Feb 2021 23:04:57 -0500

matplotlib (3.3.3-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Jan 2021 00:44:26 -0500

matplotlib (3.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/control
    - drop basemap, no longer needed and deprecated upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Oct 2020 19:25:42 -0400

matplotlib (3.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR17983.patch
    - drop, merged upstream
  * debian/patches/*
    - refresh patches
  * debian/control
    - add certifi to b-d

 -- Sandro Tosi <morph@debian.org>  Fri, 18 Sep 2020 00:34:24 -0400

matplotlib (3.3.0-3) unstable; urgency=medium

  * debian/patches/PR17983.patch
    - undeprecate and update num2epoch/epoch2num

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2020 21:54:52 -0400

matplotlib (3.3.0-2) unstable; urgency=medium

  * debian/python-matplotlib-data.install
    - explicitly install matplotlibrc in /usr/share/matplotlib/mpl-data/;
      Closes: #965954

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 10:46:31 -0400

matplotlib (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on sphinx-gallery to >= 0.7.0
    - add sphinxcontrib.svg2pdfconverter to b-d, needed by doc
    - bump Standards-Version to 4.5.0 (no changes needed)
    - add fonts-staypuft. optipng, scipy to b-d, needed by doc
  * debian/patches/*
    - refresh, update, drop patches
  * debian/setup.cfg
    - use the system-installed freetype library
  * debian/rules
    - re-enable running unittests at build-time

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jul 2020 23:43:12 -0400

matplotlib (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jun 2020 23:35:53 -0400

matplotlib (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - mark sphinx b-d as nodoc
    - mark sphinx-gallery as <!stage1>, avoid a circular depend; Closes: #954071
  * debian/patches/*
    - refresh, update, drop patches

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Mar 2020 00:57:12 -0400

matplotlib (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - replace `ipython` with `python3-ipython`: mpl requires
      ipython_console_highlighting to build its doc, which is now in the latter
      package; Closes: #943169
    - add cm-super-minimal to b-d, needed by doc
  * debian/patches
    - refresh, drop patches
  * debian/patches/setup-py-long-description.patch
    - populate long description even when running `setup.py clean`
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright information
  * debian/rules
    - properly detect the platform and build doc with xvfb-run

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 15:04:14 -0400

matplotlib (3.1.2-2) unstable; urgency=medium

  * debian/tests/{control, wxagg}
    - drop wxagg test; Closes: #950799

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Feb 2020 21:55:19 -0500

matplotlib (3.1.2-1) unstable; urgency=medium

  * New upstream release; Closes: #945169
  * debian/copyright
    - update copyright for new upstream release
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)
    - drop Qt4 from depends; Closes: #941527
    - add sphinx-copybutton to b-d, needed by doc
  * debian/tests/
    - drop python2 tests and test Qt5 instead of Qt4; Closes: #943169
  * debian/patches/
    - refresh/drop patches as per new upstream code
  * debian/rules
    - error out in case of a failure during build or install targets; patch by
      Matthias Klose; Closes: #942766
    - skip tests!! temporary measure due to
      https://github.com/matplotlib/matplotlib/issues/15960
  * debian/patches/0016-use-packaged-jquery.patch
    - use the packaged JQuery and JQuery UI

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Dec 2019 21:56:14 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-matplotlib`.
